aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 19:28:46 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 19:28:46 +0000
commit29f71c5df01c0b81627abc3cc3f4ff65d053a3cd (patch)
tree0e7d484a7b76ebade5569c29fd840cf80a8a580a /unmaintained
parent39f3926ef87d83984318761d49c1577427b2f14d (diff)
downloadaports-29f71c5df01c0b81627abc3cc3f4ff65d053a3cd.tar.gz
aports-29f71c5df01c0b81627abc3cc3f4ff65d053a3cd.tar.bz2
aports-29f71c5df01c0b81627abc3cc3f4ff65d053a3cd.tar.xz
testing/ifupdown: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/ifupdown/APKBUILD42
-rw-r--r--unmaintained/ifupdown/ifupdown-alpine-ifstate.patch13
-rw-r--r--unmaintained/ifupdown/ifupdown-busybox-compat.patch38
-rw-r--r--unmaintained/ifupdown/ifupdown.post-deinstall3
-rw-r--r--unmaintained/ifupdown/ifupdown.post-upgrade3
5 files changed, 99 insertions, 0 deletions
diff --git a/unmaintained/ifupdown/APKBUILD b/unmaintained/ifupdown/APKBUILD
new file mode 100644
index 0000000000..503d92720e
--- /dev/null
+++ b/unmaintained/ifupdown/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=ifupdown
+pkgver=0.6.10
+pkgrel=3
+pkgdesc="high level tools to configure network interfaces"
+url="http://packages.debian.org/ifupdown"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="perl"
+install="$pkgname.post-deinstall $pkgname.post-upgrade"
+subpackages=
+source="http://ftp.debian.org/pool/main/i/$pkgname/${pkgname}_$pkgver.tar.gz
+ ifupdown-busybox-compat.patch
+ ifupdown-alpine-ifstate.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make BASEDIR="$pkgdir" install || return 1
+}
+
+md5sums="70db0d8caf06a17d65b612fa8919732b ifupdown_0.6.10.tar.gz
+b0f42f7ce1a4f416eddaa304db2d270e ifupdown-busybox-compat.patch
+486600edad1d9bf5b1a05bde421345e9 ifupdown-alpine-ifstate.patch"
diff --git a/unmaintained/ifupdown/ifupdown-alpine-ifstate.patch b/unmaintained/ifupdown/ifupdown-alpine-ifstate.patch
new file mode 100644
index 0000000000..ae00950819
--- /dev/null
+++ b/unmaintained/ifupdown/ifupdown-alpine-ifstate.patch
@@ -0,0 +1,13 @@
+--- ifupdown-0.6.10.orig/main.c
++++ ifupdown-0.6.10/main.c
+@@ -17,8 +17,8 @@
+ #line 3166 "ifupdown.nw"
+ int no_act = 0;
+ int verbose = 0;
+-char *statefile = "/etc/network/run/ifstate";
+-char *tmpstatefile = "/etc/network/run/.ifstate.tmp";
++char *statefile = "/var/run/ifstate";
++char *tmpstatefile = "/var/run/.ifstate.tmp";
+ #line 3185 "ifupdown.nw"
+ static void usage(char *execname);
+ static void help(char *execname);
diff --git a/unmaintained/ifupdown/ifupdown-busybox-compat.patch b/unmaintained/ifupdown/ifupdown-busybox-compat.patch
new file mode 100644
index 0000000000..10d4ceeaab
--- /dev/null
+++ b/unmaintained/ifupdown/ifupdown-busybox-compat.patch
@@ -0,0 +1,38 @@
+--- ifupdown-0.6.10.orig/main.c
++++ ifupdown-0.6.10/main.c
+@@ -61,7 +61,7 @@
+ printf("\t\t\t\t(note that this option doesn't disable mappings)\n");
+ printf("\t-v, --verbose\t\tprint out what would happen before doing it\n");
+ printf("\t--no-mappings\t\tdon't run any mappings\n");
+- printf("\t--force\t\t\tforce de/configuration\n");
++ printf("\t-f, --force\t\t\tforce de/configuration\n");
+ exit(0);
+ }
+ #line 3573 "ifupdown.nw"
+@@ -345,7 +345,7 @@
+ {"exclude", required_argument, NULL, 'e'},
+ {"no-act", no_argument, NULL, 'n'},
+ {"no-mappings", no_argument, NULL, 1 },
+- {"force", no_argument, NULL, 2 },
++ {"force", no_argument, NULL, 'f'},
+ {0,0,0,0}
+ };
+ #line 3173 "ifupdown.nw"
+@@ -415,7 +415,7 @@
+ #line 3235 "ifupdown.nw"
+ for(;;) {
+ int c;
+- c = getopt_long(argc, argv, "e:s:i:hVvna", long_opts, NULL);
++ c = getopt_long(argc, argv, "e:s:i:hVvnaf", long_opts, NULL);
+ if (c == EOF) break;
+
+ switch(c) {
+@@ -445,7 +445,7 @@
+ run_mappings = 0;
+ break;
+ #line 3283 "ifupdown.nw"
+-case 2:
++case 'f':
+ force = 1;
+ break;
+ #line 3288 "ifupdown.nw"
diff --git a/unmaintained/ifupdown/ifupdown.post-deinstall b/unmaintained/ifupdown/ifupdown.post-deinstall
new file mode 100644
index 0000000000..99b57c4635
--- /dev/null
+++ b/unmaintained/ifupdown/ifupdown.post-deinstall
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+busybox --install -s
diff --git a/unmaintained/ifupdown/ifupdown.post-upgrade b/unmaintained/ifupdown/ifupdown.post-upgrade
new file mode 100644
index 0000000000..99b57c4635
--- /dev/null
+++ b/unmaintained/ifupdown/ifupdown.post-upgrade
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+busybox --install -s